# nix-config

System and user configuration for NixOS-based systems.

| | |
|-|-|
| **Shell:** | zsh |
| **DE:** | GNOME |
| **Theme:** | adwaita |
| **Terminal:** | Console |

## Provisioning
> [nixos-anywhere](https://github.com/nix-community/nixos-anywhere) is the module used for provisioning

Generate a new SSH host key in "$temp/etc/ssh" as per [this guide](https://nix-community.github.io/nixos-anywhere/howtos/secrets.html#example-decrypting-an-openssh-host-key-with-pass).

Then run;
```
nix run github:nix-community/nixos-anywhere -- \
  --disk-encryption-keys /tmp/secret.key /tmp/secret.key \
  --extra-files "$temp" \
  --flake .#<hostname> \
  root@<ip>
```
