{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.apps.qbittorrent;
in {
  options.modules.desktop.apps.qbittorrent = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      qbittorrent
    ];
  };
}
