{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.gaming.steam;
in {
  options.modules.desktop.gaming.steam = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.steam.enable = true;

    systemd.extraConfig = "DefaultLimitNOFILE=1048576";
  };
}
