{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.office.libreoffice;
in {
  options.modules.desktop.office.libreoffice = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      libreoffice
    ];
  };
}
