{ config, lib, pkgs, ... }:

let cfg = config.modules.dev.java;
in {
  options.modules.dev.java = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      jdk
    ];
  };
}
