{ config, lib, pkgs, ... }:

let cfg = config.modules.dev.lua;
in {
  options.modules.dev.lua = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      lua
    ];
  };
}
