#!/bin/sh

# Verbose file operations
alias \
    cp="cp -iv" \
    mv="mv -iv" \
    rm="rm -v" \
    mkdir="mkdir -v"

# Colorize commands
alias \
    ls="ls -h --color=auto --group-directories-first"

# Abbreviations
alias \
    e="$EDITOR" \
    f="$FILE" \
    g="git" \
    m="neomutt" \
    n="$FILE" \
    v="$EDITOR"

# XDG fixes
alias \
    mbsync="mbsync -c $XDG_CONFIG_HOME/isync/mbsyncrc -a"
