{ config, lib, pkgs, ... }:

let cfg = config.modules.dev.cc;
in {
  options.modules.dev.cc = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      clang
      gcc
      gdb
      cmake
      llvmPackages.libcxx
    ];
  };
}
