{ config, lib, pkgs, ... }:

let cfg = config.modules.dev.rust;
in {
  options.modules.dev.rust = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      rustc
      rustup
      rustfmt
      rust-bindgen
    ];
  };
}
