{ config, lib, pkgs, ... }:

let cfg = config.modules.dev.scala;
in {
  options.modules.dev.scala = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      jdk
      sbt
      scala
    ];
  };
}
